Page MenuHomePhabricator

Not possible to create PDF (via Book creator or directly) on it.wp: Rendering process died with non zero code: 1
Closed, DuplicatePublic

Description

Yesterday evening (25-Nov-2014, CET) I tried to export to PDF a book that I created and saved inside it.wikipedia.org, but it reported the following error:
<<Conversione non riuscita - La generazione del file del documento non è riuscita. - Stato: Rendering process died with non zero code: 1>>
I tried again 2 or 3 times, and I also tried to remove some pages, with the same error.
The same error occurred also when trying just to export a single page as a PDF.

I tried again today (around 15:00 CET 26-Nov-2014). I also tried just to "Download as a PDF" the Main Page of English Wikipedia.
The error message is now shorter:
<<Book rendering failed<br>There was an error while attempting to render your book.>>

For your guidance, I tried yesterday with Mozilla Firefox in a Linux Mint (Olivia) environment, and also with Android Browser from a smartphone.
Today I tried with Mozilla Firefox 33.1.1 in a Windows 7 environment.

The first error was reported by another user on the 9th of October (https://it.wikipedia.org/wiki/Discussioni_aiuto:Libri#Problemi_con_la_conversione) - maybe on other dates on other wikipedias.

Related Objects

Event Timeline

Rdelre created this task.Nov 26 2014, 2:28 PM
Rdelre raised the priority of this task from to Needs Triage.
Rdelre updated the task description. (Show Details)
Rdelre changed Security from none to None.
Rdelre added a subscriber: Rdelre.
Aklapper changed the task status from Open to Stalled.Dec 2 2014, 4:01 PM
Aklapper added a subscriber: Aklapper.

Thanks for taking the time to report this!

What is the exact link / URL to reproduce the problem, if this still happens?

Going to https://en.wikipedia.org/wiki/Main_Page and clicking "Download as PDF", I get:

Rendering finished
The document file has been generated. Download the file to your computer.

Oh, this might have been T76068#789293 and already fixed?

Rdelre changed the task status from Stalled to Open.Dec 3 2014, 1:20 PM

Sorry, I could not reply yesterday, but yesterday evening I did a test.

The issue seems to be changed and improved, but not fully fixed.

The link you can test is:
https://it.wikipedia.org/wiki/Utente:Rdelre/Libri/Preparando_NIS_2014-2015

When I tried to download this book as a PDF, it failed (yesterday 02-Dec, Mozilla on Linux Mint).
I tried again just now (03-Dec, 14h CET), with Internet Explorer on Windows 7, and I received the same error message:
"Rendering process died with non zero code: 1"

What is changed is that yesterday evening I successfully created PDF from a similar (temporary) book, created by selecting only the a few items (the first 7). So, I suppose there might be an issue on the size of the book or some specific page.
Previously, I could not create the PDF even selecting only the first page.

So, I think that the original failure (affecting all PDF exports) was fixed by T76068, but some issue is still affecting my case.

Aklapper renamed this task from Not possible to create PDF (via Book creator or directly) to Not possible to create PDF (via Book creator or directly) on it.wp: Rendering process died with non zero code: 1.Dec 3 2014, 3:42 PM
Aklapper triaged this task as Medium priority.

Thanks for taking the time to report this!

Confirming that's still an issue:

La generazione del file del documento non è riuscita.
Stato: Rendering process died with non zero code: 1

Hence not https://wikitech.wikimedia.org/wiki/Incident_documentation/20141126-ocg ...

X201 added a subscriber: X201.Apr 24 2015, 9:13 AM

Hello, just here to say that this error is still a problem and is reported fairly regularly at the Wikipedia Helpdesk.

The latest article to have the error is https://en.wikipedia.org/wiki/Nikola_Tesla